Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.ejb.property
Interface PropertySetManager

All Superinterfaces
  Serializable

    public interface PropertySetManager

extends Serializable

PropertySetManager is a stateless session bean that provides access to property sets, through PropertySetRepositories. It also provides translation between XML and property set objects for use in the data synchronization framework.

This control has been deprecated. Instead, use the ProfileControl to get an instance of the PropertySetManager associated with that profile manager, and use the API directly on the PropertySetManager.

The PropertySetManager EJB will maintain a mapping of property set types to property set repositories so that the appropriate repository will be queried when a PropertySet is requested.

To define a property set type to repository class mapping, create an entry in the PropertySetManager's deployment descriptor that follows this pattern:

       <env-entry>
         <env-entry-name>repository/USER</env-entry-name>
         <env-entry-type>java.lang.String</env-entry-type>
         <env-entry-value>com.bea.p13n.platform.property.internal.PropertySetRepositoryImpl</env-entry-value>
       </env-entry>

See Also
  `PropertySetManager`, `PropertySet`, `PropertySetRepository`

Method Summary
`com.bea.p13n.property.PropertySet` | `getPropertySet(String type, String name)` Deprecated Use the ProfileControl to get the PropertySetManager associated with that profile manager and call the methods directly on the PropertySetManager.
`Map` | `getPropertySets(String type)` Deprecated Use the ProfileControl to get the PropertySetManager associated with that profile manager and call the methods directly on the PropertySetManager
`String` | `getPropertySetXml(String type, String name)` Deprecated Use the ProfileControl to get the PropertySetManager associated with that profile manager and call the methods directly on the PropertySetManager

Method Detail

### getPropertySet

    com.bea.p13n.property.PropertySet getPropertySet(String type,
                                                     String name)
                                                     throws com.bea.p13n.controls.exceptions.P13nControlException

  Deprecated Use the ProfileControl to get the PropertySetManager associated with that profile manager and call the methods directly on the PropertySetManager.

  Get the PropertySet identified by the given type and name

  Parameters
    `type` - provides the mapping of a property set type (eg, USER) with its data repository. See javadocs above.
    `name` - the name of the PropertySet
  Returns
    the PropertySet, or null if it is not found
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException` - if remote errors occurr while accessing the PropertySetManager EJB

### getPropertySetXml

    String getPropertySetXml(String type,
                             String name)
                             throws com.bea.p13n.controls.exceptions.P13nControlException

  Deprecated Use the ProfileControl to get the PropertySetManager associated with that profile manager and call the methods directly on the PropertySetManager

  Retrieve the XML representation of a property set

  Parameters
    `type` - provides the mapping of a property set type (eg, USER) with its data repository See javadocs above.
    `name` - the name of the PropertySet to retrieve
  Returns
    the XML representation of that PropertySet
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException` - if remote errors occurr while accessing the PropertySetManager EJB

### getPropertySets

    Map getPropertySets(String type)
                        throws com.bea.p13n.controls.exceptions.P13nControlException

  Deprecated Use the ProfileControl to get the PropertySetManager associated with that profile manager and call the methods directly on the PropertySetManager

  Get all PropertySets of a given type

  Parameters
    `type` - provides the mapping of a property set type (eg, USER) with its data repository See javadocs above.
  Returns
    a map of name, PropertySet object pairs, or null if none are defined
  Throws
    `com.bea.p13n.controls.exceptions.P13nControlException` - if remote errors occurr while accessing the PropertySetManager EJB

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved